const path = require("path");

const isDev = process.env.NODE_ENV === "development";

module.exports = {
  outputDir: isDev ? "./dist" : path.resolve("./public/dist/"),
  publicPath: isDev ? "/" : "/dist",
  configureWebpack: {
    devServer: {
      proxy: "http://127.0.0.1:8055", //http://localhost:8055
      hot: true,
      disableHostCheck: true,
    },
    resolve: {
      // 配置解析规则
      alias: {
          '@': path.join(__dirname, 'src') // 使用@别名简写src目录所在的绝对路径
      },
    },
  },
  chainWebpack: config => {
    // 默认不开启 c
    config.plugins.delete("prefetch");

    // 默认不开启 preload
    config.plugins.delete("preload");

    // 修改页面 title
    config.plugin("html").tap(args => {
      args[0].title = "运营管理系统";
      return args;
    });
  }
};
